a = c * d : 1, clock coriolis;
b = b + 1 : 2;

ga nnet nga( -( ( a - b )^2 ) ) {
  input real a( min = -100, max = 100, nbits = 8 );
  input real b( min = -100, max = 100, nbits = 8 );
  
  int nindividuals = 5;
  ngens = 3;
  bool exit_condition = time > 8 sec, clock coriolis;
  bool steady_state = time > 5 sec;

  output real c( min = -5, max = 5, nbits = 6 );
  output real d( min = -5, max = 5, nbits = 6 );

  ninputs = 1;
  noutputs = 2;
  nhidden = 2;

  tau = .1;

  string outfile = "nnet_results.txt";
}


component z {
  component y {
    c = 3;
    d = 4;
  }
}

